#pragma once

#include <maps/wikimap/mapspro/services/editor/src/common.h>
#include <maps/wikimap/mapspro/libs/controller/include/basecontroller.h>

namespace maps {
namespace wiki {


class SocialModerationDashboardMeta: public controller::BaseController<SocialModerationDashboardMeta>
{
public:
    struct Request {
        TUid uid;
    };

    SocialModerationDashboardMeta(const Request& request);
    virtual std::string printRequest() const;
    static const std::string& taskName();
private:
    Request request_;

    virtual void control();
};


template<>
struct controller::ResultType<SocialModerationDashboardMeta>
{
    StringSet categoryGroups;
    StringSet eventTypes;
};


}
}
